<?php


return  
    [
        'model' => [
            'model' => \Bixo\Order\Models\Order::class,
            'table' => 'bixo_order_orders',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'payment_id',  'invoice_id',  'total_amount',  'payment_status',  'order_status',  'shipping_address',  'billing_address',  'payment_method'],
            'translatables' => [],
            'upload_folder' => 'order/order',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "payment_id", 
                "type" => "text", 
                "label" => 'order::order.label.payment_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice_id", 
                "type" => "text", 
                "label" => 'order::order.label.invoice_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total_amount", 
                "type" => "text", 
                "label" => 'order::order.label.total_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_status", 
                "type" => "text", 
                "label" => 'order::order.label.payment_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "order_status", 
                "type" => "text", 
                "label" => 'order::order.label.order_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "shipping_address", 
                "type" => "text", 
                "label" => 'order::order.label.shipping_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "billing_address", 
                "type" => "text", 
                "label" => 'order::order.label.billing_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_method", 
                "type" => "text", 
                "label" => 'order::order.label.payment_method', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'payment_id',
                "element" => 'package::package.formcontrols.BIGINT',
                "type" => 'package::package.formcontrols.BIGINT',
                "label" => 'order::order.label.payment_id',
                "placeholder" => 'order::order.placeholder.payment_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice_id',
                "element" => 'package::package.formcontrols.BIGINT',
                "type" => 'package::package.formcontrols.BIGINT',
                "label" => 'order::order.label.invoice_id',
                "placeholder" => 'order::order.placeholder.invoice_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total_amount',
                "element" => 'package::package.formcontrols.DECIMAL',
                "type" => 'package::package.formcontrols.DECIMAL',
                "label" => 'order::order.label.total_amount',
                "placeholder" => 'order::order.placeholder.total_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_status',
                "element" => 'package::package.formcontrols.ENUM',
                "type" => 'package::package.formcontrols.ENUM',
                "label" => 'order::order.label.payment_status',
                "placeholder" => 'order::order.placeholder.payment_status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'order_status',
                "element" => 'package::package.formcontrols.ENUM',
                "type" => 'package::package.formcontrols.ENUM',
                "label" => 'order::order.label.order_status',
                "placeholder" => 'order::order.placeholder.order_status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'shipping_address',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'order::order.label.shipping_address',
                "placeholder" => 'order::order.placeholder.shipping_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'billing_address',
                "element" => 'package::package.formcontrols.TEXT',
                "type" => 'package::package.formcontrols.TEXT',
                "label" => 'order::order.label.billing_address',
                "placeholder" => 'order::order.placeholder.billing_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_method',
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'order::order.label.payment_method',
                "placeholder" => 'order::order.placeholder.payment_method',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'order/order/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'order/order/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'order/order',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'order/order',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'order/order',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'order/order',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'order::order.label.created_at',
            'name' => 'order::order.label.name',
            'status' => 'order::order.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "order::order.groups.main",
                'group' => "main.main",
                'title' => "order::order.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "order::order.groups.details",
                'group' => "main.details",
                'title' => "order::order.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "order::order.groups.images",
                'group' => "main.images",
                'title' => "order::order.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "order::order.groups.settings",
                'group' => "main.settings",
                'title' => "order::order.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Order',
            'module' => 'Order',
        ],

        
        
    ];
