<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoOrderOrdersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_order_orders
         */
        Schema::create('bixo_order_orders', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.BIGINT('user_id')->nullable();
            $table->package::package.fieldtype.BIGINT('payment_id')->nullable();
            $table->package::package.fieldtype.BIGINT('invoice_id')->nullable();
            $table->package::package.fieldtype.DECIMAL('total_amount')->nullable();
            $table->package::package.fieldtype.ENUM('payment_status')->nullable();
            $table->package::package.fieldtype.ENUM('order_status')->nullable();
            $table->package::package.fieldtype.TEXT('shipping_address')->nullable();
            $table->package::package.fieldtype.TEXT('billing_address')->nullable();
            $table->package::package.fieldtype.VARCHAR('payment_method')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_order_orders');
    }
}
