<?php

namespace Bixo\Order\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OrderItemsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_order_order_items')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.order.order_items.view',
                'name'      => 'View OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.create',
                'name'      => 'Create OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.edit',
                'name'      => 'Update OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.delete',
                'name'      => 'Delete OrderItems',
            ],
            
                        [
                'slug'      => 'bixo.order.order_items.verify',
                'name'      => 'Verify OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.approve',
                'name'      => 'Approve OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.publish',
                'name'      => 'Publish OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.unpublish',
                'name'      => 'Unpublish OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.cancel',
                'name'      => 'Cancel OrderItems',
            ],
            [
                'slug'      => 'bixo.order.order_items.archive',
                'name'      => 'Archive OrderItems',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/order/order_items',
                'name'        => 'OrderItems',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/order/order_items',
                'name'        => 'OrderItems',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'order_items',
                'name'        => 'OrderItems',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Order',
                'module'    => 'OrderItems',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.order.order_items.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
