<?php

namespace Bixo\Order\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OrderTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_order_orders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.order.order.view',
                'name'      => 'View Order',
            ],
            [
                'slug'      => 'bixo.order.order.create',
                'name'      => 'Create Order',
            ],
            [
                'slug'      => 'bixo.order.order.edit',
                'name'      => 'Update Order',
            ],
            [
                'slug'      => 'bixo.order.order.delete',
                'name'      => 'Delete Order',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/order/order',
                'name'        => 'Order',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/order/order',
                'name'        => 'Order',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'order',
                'name'        => 'Order',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Order',
                'module'    => 'Order',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.order.order.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
