<?php

namespace Bixo\Order\Actions;

use Illuminate\Http\Request;
use Bixo\Order\Models\OrderItems;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class OrderItemsWorkflow
{
    use AsAction;
    
    private $model;
    private $namespace = 'bixo.order.$order_items';
    private $transition;
    protected $eventClass = \Bixo\Order\Events\OrderItemsWorkflow::class;
    private $function;
    private $request;

    public function handle(string $transition, OrderItems $order_items, array $request = [])
    {
        $this->model = $order_items;
        $this->request = $request;
        $this->transition = $transition;
        $this->function = Str::camel($transition);
        $this->executeWorkflow();
        return $this->model;
    }

    public function submit()
    {
        $this->model->status = 'Pending';
        $this->model->save();
        return $this->model;
    }

    public function approve()
    {
        $this->model->status = 'Approved';
        $this->model->save();
        return $this->model;
    }

    public function reject()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }

    public function publish()
    {
        $this->model->status = 'Published';
        $this->model->save();
        return $this->model;
    }

    public function unpublish()
    {
        $this->model->status = 'Unpublished';
        $this->model->save();
        return $this->model;
    }

    public function archive()
    {
        $this->model->status = 'Archived';
        $this->model->save();
        return $this->model;
    }

    public function unarchive()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }
}
