<?php

namespace Bixo\Order\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Order\Http\Requests\OrderItemsActionsRequest;
use Bixo\Order\Actions\OrderItemsActions;

/**
 * Admin web controller class.
 */
class OrderItemsActionsController extends BaseController
{

    /**
     * Action controller function for order_items.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OrderItemsActionsRequest $request, $action)
    {
        try {
            $order_items = OrderItemsActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('order::order_items.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('order/order_items/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('order/order_items/' . $action))
                ->redirect();
        }
    }
}
