<?php

namespace Bixo\Order\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Bixo\Order\Actions\OrderItemsExim;
use Bixo\Order\Http\Requests\OrderItemsEximRequest;

/**
 * Admin web controller class.
 */
class OrderItemsEximController extends BaseController
{
    /**
     * Action controller function for order_items.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OrderItemsEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = OrderItemsExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('order:order_items.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('order/order_items/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('order/order_items/' . $exim))
                ->redirect();
        }
    }
}
