<?php

namespace Bixo\Order\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Order\Actions\OrderItemsReport;
use Bixo\Order\Http\Requests\OrderItemsReportRequest;

/**
 * Admin web controller class.
 */
class OrderItemsReportController extends BaseController
{
    /**
     * Action controller function for order_items.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(OrderItemsReportRequest $request, $report)
    {
        try {
        
            $this->model = app(OrderItems::class);
            $data = OrderItemsReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('order::order_items.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('order/order_items/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('order/order_items/' . $report))
                ->redirect();
        }
    }
}
