<?php

namespace Bixo\Order\Policies;

use Bixo\Order\Models\OrderItems;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OrderItemsAction
{

    /**
     * Determine if the given user can copy the given order_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, OrderItems $order_items)
    {

        if ($authUser->canDo('order.order_items.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given order_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, OrderItems $order_items) {

        if ($authUser->canDo('order.order_items.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given order_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, OrderItems $order_items)
    {

        if ($authUser->canDo('order.order_items.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
