<?php

namespace Bixo\Order\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait OrderItemsExim
{

    /**
     * Determine if the given user can approve the given order_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('order.order_items.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given order_items.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('order.order_items.export')) {
            return true;
        }

        return false;
    }
}
