<?php


namespace Bixo\Order\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait OrderItemsReport
{

    /**
     * Determine if the given user can approve the given order_items.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('order.order_items.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given order_items.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('order.order_items.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given order_items.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('order.order_items.report.download')) {
            return true;
        }

        return false;
    }
}
