<?php

namespace Bixo\Order\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Order policy
        \Bixo\Order\Models\Order::class 
        => \Bixo\Order\Policies\OrderPolicy::class,// Bind OrderItems policy
        \Bixo\Order\Models\OrderItems::class 
        => \Bixo\Order\Policies\OrderItemsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
