<?php

namespace Bixo\Order\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Order\Events\OrderAction;
use Bixo\Order\Events\OrderWorkflow;
use Bixo\Order\Listeners\OrderAction as OrderActionListener;
use Bixo\Order\Listeners\OrderWorkflow as OrderWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        OrderAction::class => [
            OrderActionListener::class,
        ],
        OrderWorkflow::class => [
            OrderWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
